import { h } from "vue";
import { ElTag } from "element-plus";

export function renderProp(options: any[], prop = "status") {
  return {
    cellRenderer({ row }) {
      const item = options.find(s => s.value === String(row[prop]));
      return h(
        ElTag,
        {
          type: item && item.type ? item.type : ""
        },
        {
          default: () => item?.label || "--"
        }
      );
    }
  };
}
