import { FormConfig } from "/@/components/PageSearch";
import { xs_inv_type_list, useTypeOptions } from "/@/utils/status";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: "timer",
      type: "date_picker",
      otherOptions: {
        type: "daterange",
        startProp: "start",
        endProp: "end",
        startPlaceholder: "申请开始时间",
        endPlaceholder: "申请结束时间"
      }
    },
    {
      field: "inv_type",
      type: "select",
      placeholder: "发票类型",
      span: 4,
      options: xs_inv_type_list
    },
    {
      field: "platform_type",
      type: "select",
      placeholder: "平台类型",
      span: 4,
      options: useTypeOptions
    },
    {
      field: "invNo",
      type: "input",
      placeholder: "发票申请编码"
    }
  ]
};

export default searchFormConfig;
