import { httpList } from "/@/api/purchase/porder";
import { ContentConfig } from "/@/components/PageContent";
import { renderProp } from "/@/utils/columnRenderHelper";

import {
  cgdStatusOptions,
  cg_order_source_options,
  cg_order_type_options,
  hasAccountOptions,
  sendStatusOptions
} from "/@/utils/status";

const columns = [
  {
    label: "采购单编码",
    prop: "sequenceNo",
    width: "155px"
  },
  {
    label: "采购主单编码",
    prop: "cxCode",
    width: "150px"
  },
  {
    label: "销售订单编码",
    prop: "qrdCode",
    width: "155px"
  },
  {
    label: "供应商端",
    prop: "has_account",
    width: 80,
    ...renderProp(hasAccountOptions, "has_account")
  },
  {
    label: "状态",
    prop: "status",
    width: 95,
    ...renderProp(cgdStatusOptions, "status")
  },
  {
    label: "状态",
    prop: "sendStatus",
    width: 95,
    ...renderProp(sendStatusOptions, "sendStatus")
  },
  {
    label: "订单来源",
    prop: "cgdSource",
    width: 95,
    ...renderProp(cg_order_source_options, "cgdSource")
  },
  {
    label: "商品来源",
    prop: "cgdType",
    width: 95,
    ...renderProp(cg_order_type_options, "cgdType")
  },
  {
    label: "商品编码",
    prop: "goodNo",
    width: "150px"
  },
  {
    label: "商品名称",
    prop: "goodName",
    width: "180px"
  },

  {
    label: "卖出方公司编码",
    prop: "supplierNo",
    width: "150px"
  },
  {
    label: "卖出方公司名称",
    prop: "supplierName",
    width: "175px"
  },
  {
    label: "销售订单编码",
    prop: "qrdCode",
    width: "150px"
  },
  {
    label: "备库单编码",
    prop: "bkCode",
    width: "150px"
  },
  {
    label: "采购员",
    prop: "ownerName",
    width: 75
  },

  {
    label: "买入方公司名称",
    prop: "companyName",
    width: "160px"
  },
  {
    label: "买入方公司编码",
    prop: "companyNo",
    width: "150px"
  },
  {
    label: "创建时间",
    prop: "addtime",
    width: 155
  },
  {
    label: "操作",
    fixed: "right",
    width: 55,
    slot: "operation"
  }
];

const contentConfig: ContentConfig = {
  title: "采购单管理",
  columns,
  apis: {
    httpList,
    httpAdd: true
  }
};

export default contentConfig;
